Subject: [pim] candidate sender registration protocol

From: Ron Lee <[email-masked]>
Date: Sat, 22 Jan 2005 02:12:04 +0000 (GMT)

Hello,
 
Are any multicast senders allowed to attack the rendez-vous point and all the routers between the RP and the first-hop router, by sending many packets?
To the best of my knowledge, which I admit is very poor, in the current architecture, any sender, as long as it is a directly attached host, automatically creates a group by sending a multicast packet with an arbitrary class D address. With source-specific multicast, the packets are just not delivered toward the receivers from RP (by using IGMPv3), but RP and the upstream routers can still bel inundated with the denial-of-service packets.
 
It seems to me that some kind of 'candidate sender authentication, authorization, and registration'  protocol would be necessary not only for DoS attack avoidance but also for the wide use of IP multicast infrastructure by business, such as paid-video broadcast.
 
It's possible that I am just ignorant, since I didn't read the entire draft, but I would be very grateful if you can kindly guide me to the solution to the above problem.
 
Thanks in advance
Best regards,
Ron

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim